Skip to main content
GET
/
v2
/
account
/
payment-session
/
preferences
Get payment-session preferences
curl --request GET \
  --url https://api.example.com/v2/account/payment-session/preferences \
  --header 'Authorization: Bearer <token>'
{
  "preferences": {
    "mainAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subAccountId": "<string>",
    "externalId": "<string>",
    "paymentOptions": [
      {
        "amount": 123,
        "currency": "<string>",
        "paymentMethod": "<string>"
      }
    ],
    "outputCurrency": "<string>",
    "appearance": {
      "accent": "<string>",
      "accentForeground": "<string>",
      "background": "<string>",
      "border": "<string>",
      "card": "<string>",
      "destructive": "<string>",
      "foreground": "<string>",
      "input": "<string>",
      "locale": "<string>",
      "logoUrl": "<string>",
      "mutedForeground": "<string>",
      "popover": "<string>",
      "primary": "<string>",
      "primaryForeground": "<string>",
      "radius": "<string>",
      "ring": "<string>",
      "secondary": "<string>",
      "secondaryForeground": "<string>",
      "showBrlaLogo": true,
      "showPoweredBy": true,
      "widgetBackground": "<string>"
    },
    "linkExpirationValue": 123,
    "linkExpirationUnit": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Get payment-session preferences

GET request to /v2/account/payment-session/preferences

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Response

OK

preferences
object

Saved payment session template preferences for an account